Part Prism/de: Difference between revisions

From FreeCAD Documentation
(Created page with "{{GuiCommand/de|Name=Part Prism|Name/de=Part Prism|MenuLocation=Part → Create Primitives → Prism|Workbenches=Part, [[OpenSC...")
(Updating to match new version of source page)
 
(36 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/de|Name=Part Prism|Name/de=Part Prism|MenuLocation=Part → [[Part_CreatePrimitives/de|Create Primitives]] → Prism|Workbenches=[[Part Module/de|Part]], [[OpenSCAD_Module/de|OpenSCAD]]|SeeAlso=Part → Primitives → [[Part_Box/de|Box]]}}


{{Docnav/de
== Description ==
|[[Part_Ellipsoid/de|Ellipsoid]]
A Part Prism is available from the Create Primitives dialogue in the Part workbench. A Part Prism is a solid defined by a regular polygon cross section and a height.
|[[Part_Wedge/de|Keil]]
|[[Part_Workbench/de|Part]]
|IconL=Part_Ellipsoid.svg
|IconR=Part_Wedge.svg
|IconC=Workbench_Part.svg
}}


{{GuiCommand/de
The Create Primitives dialogue can be accessed via the [[Part_CreatePrimitives|CreatePrimitives]] icon [[Image:Part_CreatePrimitives.png|32px]] located in the Part menu or the Part toolbar, in the Part Workbench.
|Name=Part Prism
|Name/de=Part Prisma
|MenuLocation=Formteil → [[Part_Primitives/de|Grundkörper erzeugen...]] → Prisma
|Workbenches=[[Part_Workbench/de|Part]], [[OpenSCAD_Workbench/de|OpenSCAD]]
|Version=0.14
|SeeAlso=[[Part_Primitives/de|Part Primitives]]
}}


<span id="Description"></span>
== Beschreibung ==


Ein [[Image:Part_Prism.svg|24px]] '''Part Prisma''' ist ein parametrischer Volumenkörper, der mit dem Befehl [[Image:Part_Primitives.svg|24px]] [[Part_Primitives/de|Part Grundelemente]] erstellt werden kann. Im Koordinatensystem durch seine {{PropertyData/de|Placement}} festgelegt, liegt die Unterseite des Prismas auf der XY-Ebene mit seinem Mittelpunkt im Ursprung und einem seiner Eckpunkte auf der X-Achse.
== Parameters ==
*Polygon - the number of sides of the polygon which describes the cross section of the Part Prism
*cirumradius - the circumradius is the distance from the centre of the polygon to a vertex.
*Height - the height of the Part Prism


[[Image:Part_Prism_Example.png|400px]]
{{Version|0.14}}


<span id="Usage"></span>
{{clear}}
==Anwendung==
<languages/>

Siehe [[Part_Primitives/de#Anwendung|Part Grundelemente]].

<span id="Example"></span>
==Beispiel==

[[Image:Part_Prism_Scripting_Example.png|thumb|Part-Prisma aus dem Skriptbeispiel]]

Ein Part-Prisma-Objekt, das mit dem [[#Skripten|Skriptbeispiel]] weiter unten erzeugt wurde, wird hier dargestellt.

<span id="Properties"></span>
==Eigenschaften==

Siehe auch: [[Property_editor/de|Eigenschafteneditor]].

Ein Part-Prism-Objekt wird von einem [[Part_Feature/de|Part-Formelement]] abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

<span id="Data"></span>
===Daten===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Prism}}

* {{PropertyData|Polygon|IntegerConstraint}}: The number of sides of the polygon. The default is {{Value|6}}.
* {{PropertyData|Circumradius|Length}}: The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is {{Value|2mm}}.
* {{PropertyData|Height|Length}}: The height of the prism. The default is {{Value|10mm}}.
* {{PropertyData|First Angle|Angle}}: The angle between the extrusion direction of the prism and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}.
* {{PropertyData|Second Angle|Angle}}: The angle between the extrusion direction of the prism and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}.

<span id="Scripting"></span>
==Skripten==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Prism can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
}}

* Where {{Incode|"myPrism"}} is the name for the object.
* The function returns the newly created object.

Beispiel:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

prism = doc.addObject("Part::Prism", "myPrism")
prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45
prism.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 75, 30))

doc.recompute()
}}


{{Docnav/de
|[[Part_Ellipsoid/de|Ellipsoid]]
|[[Part_Wedge/de|Keil]]
|[[Part_Workbench/de|Part]]
|IconL=Part_Ellipsoid.svg
|IconR=Part_Wedge.svg
|IconC=Workbench_Part.svg
}}

{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 15:41, 20 May 2023

Part Prisma

Menüeintrag
Formteil → Grundkörper erzeugen... → Prisma
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
0.14
Siehe auch
Part Primitives

Beschreibung

Ein Part Prisma ist ein parametrischer Volumenkörper, der mit dem Befehl Part Grundelemente erstellt werden kann. Im Koordinatensystem durch seine Daten-EigenschaftPlacement festgelegt, liegt die Unterseite des Prismas auf der XY-Ebene mit seinem Mittelpunkt im Ursprung und einem seiner Eckpunkte auf der X-Achse.

Anwendung

Siehe Part Grundelemente.

Beispiel

Part-Prisma aus dem Skriptbeispiel

Ein Part-Prisma-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde, wird hier dargestellt.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part-Prism-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Prism

  • DatenPolygon (IntegerConstraint): The number of sides of the polygon. The default is 6.
  • DatenCircumradius (Length): The radius of the circle that circumscribes the polygon, the distance from the center of the polygon to one of its vertices. The default is 2mm.
  • DatenHeight (Length): The height of the prism. The default is 10mm.
  • DatenFirst Angle (Angle): The angle between the extrusion direction of the prism and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is .
  • DatenSecond Angle (Angle): The angle between the extrusion direction of the prism and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is .

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Prism can be created with the addObject() method of the document:

prism = FreeCAD.ActiveDocument.addObject("Part::Prism", "myPrism")
  • Where "myPrism" is the name for the object.
  • The function returns the newly created object.

Beispiel:

import FreeCAD as App

doc = App.activeDocument()

prism = doc.addObject("Part::Prism", "myPrism")
prism.Polygon = 5
prism.Circumradius = 10
prism.Height = 50
prism.FirstAngle = 22.5
prism.SecondAngle = 45
prism.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(60, 75, 30))

doc.recompute()